## Struct content_spec_choice

zeep::xml::doctype::content_spec_choice

## Synopsis

    // In header: <zeep/xml/doctype.hpp>

    struct content_spec_choice : public zeep::xml::doctype::content_spec_base {
      // construct/copy/destruct
      content_spec_choice(bool);
      content_spec_choice(content_spec_ptr, bool);
      ~content_spec_choice();

      // public member functions
      void add(content_spec_ptr);
      virtual state_ptr create_state() const;
      virtual bool element_content() const;

      // public data members
      content_spec_list m_allowed;
      bool m_mixed;
    };

## Description

### `content_spec_choice` public construct/copy/destruct

1.     content_spec_choice(bool mixed);

2.     content_spec_choice(content_spec_ptr a, bool mixed);

3.     ~content_spec_choice();

### `content_spec_choice` public member functions

1.     void add(content_spec_ptr a);

2.     virtual state_ptr create_state() const;

3.     virtual bool element_content() const;